org.apache.ignite.internal.binary

## Class BinaryInternalMapper

- java.lang.Object
- - org.apache.ignite.internal.binary.BinaryInternalMapper

    public class BinaryInternalMapper
    extends Object

Internal binary mapper.

### Constructor Summary

Constructors
Constructor and Description
`BinaryInternalMapper(BinaryNameMapper nameMapper, BinaryIdMapper idMapper, boolean checkOnZeroId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `fieldId(int typeId, String fieldName)`
`int` `hashCode()`
`BinaryIdMapper` `idMapper()`
`BinaryNameMapper` `nameMapper()`
`String` `toString()`
`int` `typeId(String clsName)`
`String` `typeName(String clsName)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BinaryInternalMapper

    public BinaryInternalMapper(BinaryNameMapper nameMapper,
                                BinaryIdMapper idMapper,
                                boolean checkOnZeroId)

Parameters:
  `nameMapper` - Name mapper.
  `idMapper` - Id mapper.
  `checkOnZeroId` - Whether checks on zero id or not.

### Method Detail

#### nameMapper

    public BinaryNameMapper nameMapper()

Returns:
  Name mapper.

#### idMapper

    public BinaryIdMapper idMapper()

Returns:
  ID mapper.

#### typeId

    public int typeId(String clsName)

Parameters:
  `clsName` - Class name.
Returns:
  Type ID.

#### fieldId

    public int fieldId(int typeId,
                       String fieldName)

Parameters:
  `typeId` - Type ID.
  `fieldName` - Field name.
Returns:
  Field ID.

#### typeName

    public String typeName(String clsName)

Parameters:
  `clsName` - Class name.
Returns:
  Type name.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020